set nocount on
go
-- drop procedure OrderStatus
create procedure OrderStatus (
  @OrderList  varchar(8000),
  @NumOrders  int
) as

  select
    OrderID,
    OrderDate,
    ShippedDate
  from Northwind..Orders
  where OrderID IN (
    select substring(@OrderList,1+N*8,6) O
    from N8000
    where N < @NumOrders
  )
go
set statistics io on
go

declare @OrderList varchar(72)
set @OrderList = '010278
011008
010832
011008
010987
010678
'

exec OrderStatus @OrderList, 6
go

set statistics io off
go

drop proc OrderStatus

